--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: from_fraction
- !ruby/object:RI::MethodSummary 
  name: from_percent
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: An CMYK colour object. CMYK (cyan, magenta, yellow, and black) colours are based on additive percentages of ink. A CMYK colour of (0.3, 0, 0.8, 0.3) would be mixed from 30% cyan, 0% magenta, 80% yellow, and 30% black. Primarily used in four-colour printing processes.
constants: 
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The format of a DeviceCMYK colour for PDF. In color-tools 2.0 this will be removed from this package and added back as a modification by the PDF::Writer package.
  name: PDF_FORMAT_STR
  value: "\"%.3f %.3f %.3f %.3f %s\""
full_name: Color::CMYK
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: ==
- !ruby/object:RI::MethodSummary 
  name: black
- !ruby/object:RI::MethodSummary 
  name: black=
- !ruby/object:RI::MethodSummary 
  name: c
- !ruby/object:RI::MethodSummary 
  name: c=
- !ruby/object:RI::MethodSummary 
  name: css_hsl
- !ruby/object:RI::MethodSummary 
  name: css_hsla
- !ruby/object:RI::MethodSummary 
  name: css_rgb
- !ruby/object:RI::MethodSummary 
  name: css_rgba
- !ruby/object:RI::MethodSummary 
  name: cyan
- !ruby/object:RI::MethodSummary 
  name: cyan=
- !ruby/object:RI::MethodSummary 
  name: html
- !ruby/object:RI::MethodSummary 
  name: inspect
- !ruby/object:RI::MethodSummary 
  name: k
- !ruby/object:RI::MethodSummary 
  name: k=
- !ruby/object:RI::MethodSummary 
  name: m
- !ruby/object:RI::MethodSummary 
  name: m=
- !ruby/object:RI::MethodSummary 
  name: magenta
- !ruby/object:RI::MethodSummary 
  name: magenta=
- !ruby/object:RI::MethodSummary 
  name: pdf_fill
- !ruby/object:RI::MethodSummary 
  name: pdf_stroke
- !ruby/object:RI::MethodSummary 
  name: to_cmyk
- !ruby/object:RI::MethodSummary 
  name: to_grayscale
- !ruby/object:RI::MethodSummary 
  name: to_greyscale
- !ruby/object:RI::MethodSummary 
  name: to_hsl
- !ruby/object:RI::MethodSummary 
  name: to_rgb
- !ruby/object:RI::MethodSummary 
  name: to_yiq
- !ruby/object:RI::MethodSummary 
  name: y
- !ruby/object:RI::MethodSummary 
  name: y=
- !ruby/object:RI::MethodSummary 
  name: yellow
- !ruby/object:RI::MethodSummary 
  name: yellow=
name: CMYK
superclass: Object
